policyeditor(1)

NAME

policyeditor — Einstellungen der Sicherheitsrichtlinie für javaws und das Browser Plug-in anzeigen und bearbeiten

ÜBERSICHT

policyeditor
policyeditor [-file] Richtliniendatei

BESCHREIBUNG

policyeditor ist eine Anwendung mit grafischer Benutzeroberfläche sowie ein wenig Kommandozeilenunterstützung. Die Anwendung ermöglicht die Anzeige und Bearbeitung von Sicherheitsrichtlinieneinstellungen für Applets, die durch die Implementierungen von javaws
 und des Browser Plug-ins
 in IcedTea-Web verwendet werden. Sie ist als eine vereinfachte und leichter zu nutzende Alternative zum JDK Policy Tool gedacht. Administratoren und fortgeschrittene Benutzer, die eine fein granulare Kontrolle über Richtliniendateien brauchen, sollten das policytool
 statt des PolicyEditor
 verwenden.
Werden keine Parameter bei der Ausführung angegeben, so wird keine Datei geöffnet, und eine Aufforderung zur Angabe des Speicherortes erscheint. Wird ansonsten ein Dateipfad als Parameter an der Kommandozeile angegeben, so wird der Dateipfand geöffnet und als eine Richtliniendatei verarbeitet.

OPTIONEN

-codebase url
    Gibt die Codebasis-URL eines Applets an. Falls die angegebene Codebasis in der Richtliniendatei bereits existiert, wird diese im geöffneten Editor markiert. Falls die Codebasis neu ist, wird diese zur Richtliniendatei hinzugefügt und im geöffneten Editor markiert. An die Option „-codebase“ können auch mehrere, durch Leerzeichen getrennte URLs übergeben werden. In diesem Fall werden alle Codebasen zur Richtliniendatei hinzugefügt und die letzte im geöffneten Editor markiert. Ausschließlich die erste in der Kommandozeile vorkommende Option „-codebase“ wird verarbeitet.(Genau ein Parameter erwartet)

-defaultfile
    Specifies that the default user-level policy file should be opened. This is the file which is normally used by IcedTea-Web to make decisions about custom policies and permissions for applets at runtime, unless configured otherwise.(Kein Parameter erwartet)

-file policy_file
    Gibt den Pfad der zu öffnenden Richtliniendatei an. Falls genau ein Parameter übergeben wird, der nicht diese Option ist, wird er als ein zu öffnender Dateipfad interpretiert, so als ob diese Option als erste angegeben werden wäre. Diese Option ist hauptsächlich aus Kompatibilitätsgründen zum Richtlinieneditor policytool
     verfügbar, wird aber auch zum Öffnen einer Richtliniendatei sowie mit der Option „-codebase“ verwendet.(Genau ein Parameter erwartet)

-help
    Gibt Informationen über unterstützte Befehle und grundlegende Verwendung aus.(Kein Parameter erwartet)

-principals class_name principal_name
    Specifies class name/principal name pairs (space-separated) for the policy entry identifier. This can be used with the other selector options to select a policy entry upon opening the editor; if no such identifier exists then it will be created and then selected.(Eine gerade Anzahl von Parametern mit „Parameter=Wert“ als gültigen Parameter erwartet)

-signedby certificate_alias
    Specifies a certificate alias for a certificate stored in the keystore. This can be used with the other selector options to select a policy entry upon opening the editor; if no such identifier exists then it will be created and then selected.(Genau ein Parameter erwartet)

-verbose
    Ausführliche Ausgabe aktivieren.(Kein Parameter erwartet)

BEISPIELE

policyeditor
    Zeigt den GUI-Editor ohne eine geöffnete Datei an.

policyeditor -file $XDG_CONFIG_HOME/icedtea-web/security/java.policy
    Zeigt den GUI-Editor mit der geöffneten Standardrichtliniendatei an.

DATEIEN

$XDG_CACHE_HOME/icedtea-web/cache/recently_used
    Additional information about items in cache

$XDG_CONFIG_HOME/icedtea-web/security/java.policy
    Contains granted permissions for selected unsigned apps. Gesteuert durch deployment.user.security.policy

Where $XDG_CONFIG_DIR, $XDG_CACHE_DIR and $XDG_RUNTIME_DIR are set as ~/.config, ~/.cache and /tmp or /var/tmp if not set.

FEHLER

There aren't any known bugs. If you come across one, please file it at:
http://icedtea.classpath.org/wiki/IcedTea-Web#Filing_bugs
http://icedtea.classpath.org/bugzilla
Please run in debug (-verbose switch or itw-settings setting or ICEDTEAPLUGIN_DEBUG variable set to true) mode and include that output (best is from java console) with URL to jnlp or html file (or the jnlp/html file or application itself) when filing out the bug report.

AUTOR

The following people have made contibutions to this project.
Please keep this list in alphabetical order.
Lillian Angel <langel@redhat.com>Andrew Azores <aazores@redhat.com>Deepak Bhole <dbhole@redhat.com>Laurent Bourgès <bourges.laurent@gmail.com>Adam Buchta <adbuch7@gmail.com>Ricardo Martín Camarero <rickyepoderi@yahoo.es>Marcin Cieslak <marcin.cieslak@gmail.com>Danesh Dadachanji <ddadacha@redhat.com>Adam Domurad <adomurad@redhat.com>Lukasz Dracz <ldracz@redhat.com>Thomas Fitzsimmons <fitzsim@redhat.com>Olesya Gerasimenko <gammaray@basealt.ru>Michał Górny <mgorny@gentoo.org>Mark Greenwood <mark@dcs.shef.ac.uk>Tereza Hlavackova <hlavackova.tereza@gmail.com>Lars Herschke <lhersch@dssgmbh.de>Peter Hatina <phatina@redhat.com>Andrew John Hughes <ahughes@redhat.com>Jie Kang <jkang@redhat.com>Alex Kashchenko <akashche@redhat.com>Matthias Klose <doko@ubuntu.com>Alexandr Kolouch <skolnag@gmail.com>Jan Kmetko <jan.kmetko.ml@gmail.com>Francis Kung <fkung@redhat.com>Denis Lila <dlila@redhat.com>DJ Lucas <dj@lucasit.com>Omair Majid <omajid@redhat.com>Jon A. Maxwell <jmaxwell@users.sourceforge.net>Thomas Meyer <thomas@m3y3r.de>Kurt Miller <kurt@intricatesoftware.com>Saad Mohammad <smohammad@redhat.com>Martin Olsson <martin@minimum.se>Stefan Ring <stefan@complang.tuwien.ac.at>Ville Skyttä <ville.skytta@iki.fi>Fridrich Strba <fridrich.strba@suse.com>Andrew Su <asu@redhat.com>Joshua Sumali <jsumali@redhat.com>Joel Tesdall <jtesdall@mapcon.com>Michal Vala <mvala@redhat.com>Jiri Vanek <jvanek@redhat.com>Tomáš Votava <tomcacolca@gmail.com>Mark Wielaard <mark@klomp.org>Jacob Wisor <gitne@excite.co.jp>Man Lung Wong <mwong@redhat.com>
This project also includes code from the following projects:
OpenJDK <http://openjdk.java.net/>
Netx <http://jnlp.sourceforge.net/netx/>

SIEHE AUCH

icedtea-web(1) javaws(1) icedtea-web-plugin(1) itweb-settings(1) policyeditor(1) policytool(1) java(1)
http://icedtea.classpath.org/wiki/IcedTea-Web
http://icedtea.classpath.org/hg/icedtea-web